#define VER_MAJOR	1
#define VER_MINOR	0
#define VER_PATCH	1
#define RELEASE_DATE	"2023-0512"
#define RELEASE_STATE	"rc"

#define MAX_VER_LEN	30

static char hct_version[MAX_VER_LEN];

/*
 * @brief get the version of HCT
 * @param version to save the string of HCT version, and the length of "version" should larger than MAX_VER_LEN.
 */
void hct_get_version(char *version) {
	if (strnlen(hct_version, MAX_VER_LEN) == 0) {
		snprintf(hct_version, MAX_VER_LEN, "hct-%d.%d.%d-%s-%s", VER_MAJOR, VER_MINOR, VER_PATCH, RELEASE_DATE, RELEASE_STATE);
	}
	strncpy(version, hct_version, MAX_VER_LEN);
}
